---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass010.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50E90, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52DD0, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x531C0, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54160, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54170, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50B00, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50B04, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50B08, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50C60, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50D18, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50D1C, symBinAddr: 0xC28C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50D20, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50D24, symBinAddr: 0xC294, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50D28, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50D30, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50D48, symBinAddr: 0xC2B8, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50D50, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50D58, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50D60, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50D68, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50DB0, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50DB8, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL7orig_ln, symObjAddr: 0xE280, symBinAddr: 0x7C50, symSize: 0x0 }
  - { offsetInCU: 0x911B, offset: 0x911B, size: 0x8, addend: 0x0, symName: __ZL7redf_ln, symObjAddr: 0xE300, symBinAddr: 0x7CD0, symSize: 0x0 }
  - { offsetInCU: 0x9134, offset: 0x9134, size: 0x8, addend: 0x0, symName: __ZL12origMethInfo, symObjAddr: 0xE140, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x91A6, offset: 0x91A6, size: 0x8, addend: 0x0, symName: __ZL13redefMethInfo, symObjAddr: 0xE1E0, symBinAddr: 0xC120, symSize: 0x0 }
  - { offsetInCU: 0x91F8, offset: 0x91F8, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x41C0, symSize: 0x80 }
  - { offsetInCU: 0x928D, offset: 0x928D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4110, symSize: 0xB0 }
  - { offsetInCU: 0x92E8, offset: 0x92E8, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4010, symSize: 0x100 }
  - { offsetInCU: 0x957B, offset: 0x957B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4240, symSize: 0x220 }
  - { offsetInCU: 0x9760, offset: 0x9760, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4460, symSize: 0xA0 }
  - { offsetInCU: 0x9813, offset: 0x9813, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4500, symSize: 0x110 }
  - { offsetInCU: 0x9909, offset: 0x9909, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4610, symSize: 0x150 }
  - { offsetInCU: 0x9A3A, offset: 0x9A3A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4760, symSize: 0x30 }
  - { offsetInCU: 0x9AC3, offset: 0x9AC3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4790, symSize: 0x150 }
  - { offsetInCU: 0x9CBB, offset: 0x9CBB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x48E0, symSize: 0x160 }
  - { offsetInCU: 0x9E47, offset: 0x9E47, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4A40, symSize: 0x1B0 }
  - { offsetInCU: 0xA062, offset: 0xA062, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4BF0, symSize: 0xA0 }
  - { offsetInCU: 0xA15D, offset: 0xA15D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4C90, symSize: 0x20 }
  - { offsetInCU: 0xA194, offset: 0xA194, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4CB0, symSize: 0x20 }
  - { offsetInCU: 0xA1CB, offset: 0xA1CB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4CD0, symSize: 0x20 }
  - { offsetInCU: 0xA33A, offset: 0xA33A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4CF0, symSize: 0x1A0 }
  - { offsetInCU: 0xA660, offset: 0xA660, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4E90, symSize: 0x80 }
  - { offsetInCU: 0xA729, offset: 0xA729, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4F10, symSize: 0x6A0 }
  - { offsetInCU: 0xB2BE, offset: 0xB2BE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA1F0, symBinAddr: 0x6290, symSize: 0xB0 }
  - { offsetInCU: 0xB335, offset: 0xB335, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x55B0, symSize: 0x70 }
  - { offsetInCU: 0xB429, offset: 0xB429, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5620, symSize: 0xA0 }
  - { offsetInCU: 0xB528, offset: 0xB528, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x56C0, symSize: 0x40 }
  - { offsetInCU: 0xB61E, offset: 0xB61E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5700, symSize: 0x2B0 }
  - { offsetInCU: 0xB9C4, offset: 0xB9C4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x59B0, symSize: 0xC0 }
  - { offsetInCU: 0xBB0A, offset: 0xBB0A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5A70, symSize: 0x10 }
  - { offsetInCU: 0xBBCC, offset: 0xBBCC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A80, symSize: 0x220 }
  - { offsetInCU: 0xBEC9, offset: 0xBEC9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5CA0, symSize: 0x10 }
  - { offsetInCU: 0xBF1F, offset: 0xBF1F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5CB0, symSize: 0x110 }
  - { offsetInCU: 0xC09F, offset: 0xC09F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x5DC0, symSize: 0x10 }
  - { offsetInCU: 0xC0F5, offset: 0xC0F5, size: 0x8, addend: 0x0, symName: _checkAttr, symObjAddr: 0x9D30, symBinAddr: 0x5DD0, symSize: 0x340 }
  - { offsetInCU: 0xC24E, offset: 0xC24E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass010_checkOrigAttr, symObjAddr: 0xA070, symBinAddr: 0x6110, symSize: 0x40 }
  - { offsetInCU: 0xC346, offset: 0xC346, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass010_makeRedefinition, symObjAddr: 0xA0B0, symBinAddr: 0x6150, symSize: 0x110 }
  - { offsetInCU: 0xC48B, offset: 0xC48B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass010_getResult, symObjAddr: 0xA1C0, symBinAddr: 0x6260, symSize: 0x30 }
  - { offsetInCU: 0xC54F, offset: 0xC54F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2A0, symBinAddr: 0x6340, symSize: 0x36A }
...
